net.minecraft.client.particle

## Class EntityLargeExplodeFX

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.client.particle.EntityFX
    - - net.minecraft.client.particle.EntityLargeExplodeFX

-     public class EntityLargeExplodeFX
      extends EntityFX

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.particle.EntityFX

      `interpPosX, interpPosY, interpPosZ`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityLargeExplodeFX(RenderEngine par1RenderEngine, World par2World, double par3, double par5, double par7, double par9, double par11, double par13)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBrightnessForRender(float par1)`
    `int` | `getFXLayer()`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `renderParticle(Tessellator par1Tessellator, float par2, float par3, float par4, float par5, float par6, float par7)`

    - ### Methods inherited from class net.minecraft.client.particle.EntityFX

      `canAttackWithItem, getBlueColorF, getGreenColorF, getRedColorF, multipleParticleScaleBy, multiplyVelocity, nextTextureIndexX, readEntityFromNBT, setAlphaF, setParticleIcon, setParticleTextureIndex, setRBGColorF, toString, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTeleportDirection, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityLargeExplodeFX

          public EntityLargeExplodeFX(RenderEngine par1RenderEngine,
                              World par2World,
                              double par3,
                              double par5,
                              double par7,
                              double par9,
                              double par11,
                              double par13)

  - ### Method Detail

    - #### renderParticle

          public void renderParticle(Tessellator par1Tessellator,
                            float par2,
                            float par3,
                            float par4,
                            float par5,
                            float par6,
                            float par7)

      Overrides:
        `renderParticle` in class `EntityFX`

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityFX`

    - #### getFXLayer

          public int getFXLayer()

      Overrides:
        `getFXLayer` in class `EntityFX`